
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #777

fix crashes when pthread_create fails

February 27, 2018 08:49 - Zhouyang Jia

Status: Rejected Start date: February 27, 2018

Priority: Major Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version: 3.9   

Description

The library function "pthread_create" may fail. When it happens, Audacious will crash.

I think it's unsafe to assume the library function would be correct. It would be better if we could handle the error properly (at least

printing a log message).

Attached please find the patch against version 3.9. Hopefully, it can solve these potential bugs.

History

#1 - March 10, 2018 16:17 - John Lindgren

Are you seeing an actual crash, or is this just theoretical?

#2 - March 12, 2018 02:51 - Zhouyang Jia

It's just theoretical.

#3 - March 14, 2018 21:52 - John Lindgren

- Status changed from New to Rejected

In that case, I'm closing this.  Being robust against memory allocation and thread creation failures would be nice, but it adds complexity, and anyway,

there are other higher priorities currently.

Files

audacious-plugins-3.9.patch 1.86 KB February 27, 2018 Zhouyang Jia

audacious-3.9.patch 3.1 KB February 27, 2018 Zhouyang Jia
